Package uk.ac.starlink.array

# Interface BadHandler.ArrayHandler

Enclosing class:
  `BadHandler`

public static interface BadHandler.ArrayHandler
Class provided for testing and setting bad values in a given primitive array. An object of this class is returned by the `BadHandler.arrayHandler(java.lang.Object)` method.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isBad(int pos)`
Indicates whether an element of this ArrayHandler's primitive array is bad.
`void`
`putBad(int pos)`
Writes a single bad value into this ArrayHandler's array.

## Method Details

### isBad

boolean isBad(int pos)
Indicates whether an element of this ArrayHandler's primitive array is bad.

Parameters:
  `pos` - the position in array of the pixel to be tested.
Throws:
  `IndexOutOfBoundsException` - if pos is outside the bounds of the array

### putBad

void putBad(int pos)
Writes a single bad value into this ArrayHandler's array.

Parameters:
  `pos` - the position at which to write the bad value
Throws:
  `IndexOutOfBoundsException` - if access outside the bounds of the array is attempted